import AnimationPattern from '../entities/QAnimationPattern';
import { AnimationTriggerMetadata } from '@angular/animations';
export interface ScaleAnimationParams {
    scaleValue?: number;
    duration?: number;
    includeVoidTransitions?: boolean;
    scaleVoidValue?: number;
}
export declare function scaleAnimation(params?: ScaleAnimationParams): AnimationTriggerMetadata;
export declare class ScaleAnimationPattern extends AnimationPattern {
    scaleValue: number;
    duration: number;
    includeVoidTransitions: boolean;
    voidScaleValue: number;
    constructor(scaleValue?: number, duration?: number, includeVoidTransitions?: boolean, voidScaleValue?: number);
}
