import State from './QState';
import Transition from './QTransition';
import AbstractAnimationPattern from './QAbstractAnimationPattern';
declare class AnimationPattern extends AbstractAnimationPattern {
    triggerName: string;
    stateList: Array<State>;
    transitionList: Array<Transition>;
    includeVoidTransitions: boolean;
    constructor(triggerName: string, stateList: Array<State>, transitionList: Array<Transition>, includeVoidTransitions?: boolean);
}
export default AnimationPattern;
