import State from './QState';
import AbstractAnimationPattern from './QAbstractAnimationPattern';
import AnimationStyleProperties from './QAnimationStyleProperties';
declare class KeyframeAnimationPattern extends AbstractAnimationPattern {
    triggerName: string;
    stateList: Array<State>;
    animationStyleProperties: Array<AnimationStyleProperties>;
    duration: number;
    includeVoidTransitions: boolean;
    constructor(triggerName: string, stateList: Array<State>, animationStyleProperties: Array<AnimationStyleProperties>, duration: number, includeVoidTransitions?: boolean);
}
export default KeyframeAnimationPattern;
