import AnimationPattern from '../entities/QAnimationPattern';
export interface FlyAnimationParams {
    flyValue?: string;
    duration?: number;
    includeVoidTransitions?: boolean;
    voidFlyValue?: string;
}
declare abstract class AbstractFlyAnimationPattern extends AnimationPattern {
    triggerName: string;
    isVertical: boolean;
    flyValue: string;
    duration: number;
    includeVoidTransitions: boolean;
    voidFlyValue: string;
    constructor(triggerName: string, isVertical?: boolean, flyValue?: string, duration?: number, includeVoidTransitions?: boolean, voidFlyValue?: string);
    static getTransformValue(isVertical: boolean): string;
}
export default AbstractFlyAnimationPattern;
