import { AnimationTriggerMetadata } from '@angular/animations';
import AbstractFlyAnimationPattern, { FlyAnimationParams } from './AbstractFlyAnimationPattern';
export declare function flyVerticalAnimation(params?: FlyAnimationParams): AnimationTriggerMetadata;
export declare class FlyVerticalAnimationPattern extends AbstractFlyAnimationPattern {
    flyValue: string;
    duration: number;
    includeVoidTransitions: boolean;
    voidFlyValue: string;
    constructor(flyValue?: string, duration?: number, includeVoidTransitions?: boolean, voidFlyValue?: string);
}
