import { highlightAnimation } from './lib/animations/HighlightAnimationPattern';
import { scaleAnimation } from './lib/animations/ScaleAnimationPattern';
import { flyHorizontalAnimation } from './lib/animations/FlyHorizontalAnimationPattern';
import { flyVerticalAnimation } from './lib/animations/FlyVerticalAnimationPattern';
import { rotateAnimation } from './lib/animations/RotateAnimationPattern';
import { fadeAnimation } from './lib/animations/FadeAnimationPattern';
import { bounceVerticalAnimation } from './lib/animations/BounceVerticalAnimationPattern';
import { bounceHorizontalAnimation } from './lib/animations/BounceHorizontalAnimationPattern';
import { fillWidthAnimation } from './lib/animations/FillWidthAnimationPattern';
import { appearAnimation } from './lib/animations/AppearAnimationPattern';
import { fillHeightAnimation } from './lib/animations/FillHeightAnimationPattern';
import { fadeInAnimation } from './lib/animations/FadeInAnimationPattern';
import { fadeOutAnimation } from './lib/animations/FadeOutAnimationPattern';
export * from './lib/angular-animations-library.module';
export declare const highlightAnimationFn: typeof highlightAnimation;
export declare const scaleAnimationFn: typeof scaleAnimation;
export declare const flyHorizontalAnimationFn: typeof flyHorizontalAnimation;
export declare const flyVerticalAnimationFn: typeof flyVerticalAnimation;
export declare const rotateAnimationFn: typeof rotateAnimation;
export declare const fadeAnimationFn: typeof fadeAnimation;
export declare const fadeInAnimationFn: typeof fadeInAnimation;
export declare const fadeOutAnimationFn: typeof fadeOutAnimation;
export declare const bounceVerticalAnimationFn: typeof bounceVerticalAnimation;
export declare const bounceHorizontalAnimationFn: typeof bounceHorizontalAnimation;
export declare const fillWidthAnimationFn: typeof fillWidthAnimation;
export declare const fillHeightAnimationFn: typeof fillHeightAnimation;
export declare const appearAnimationFn: typeof appearAnimation;
